Subject: [TR] TR3A overdrive adjustment lever removal

From: Art McEwen <[email-masked]>
Date: Thu, 20 Jan 2022 14:44:39 -0500

So I’m midway through an overdrive rebuild and the actuation shaft has an o ring on either end that I want to replace.  But I can’t get the pin holding the adjustment arm (opposite side of case from solenoid) to budge.   I’ve broken 2 punches so far and the case is in the way of a drill.   I guess I don’t HAVE to renew it but it seems a shame to leave a 40+ year old oring to weep after going through this work.

Ideas?

Art.
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]